package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.RecommendUser;
import cn.wisenergy.model.dto.RecommendUserDto;
import cn.wisenergy.model.vo.RecommendUserVo;
import cn.wisenergy.model.vo.UserAndRecommendVo;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface RecommendUserService {

    RecommendUser getMyRecommed(String userId);

    List<UserAndRecommendVo> getMyRecommendInfo(String userId, Integer userLevel);

    /**
     * 分页查询所有用户信息
     *
     * @param recommendUserDto 查询参数
     * @return 列表
     */
    R<PageInfo<RecommendUserVo>> getRecommendUserList(RecommendUserDto recommendUserDto);
}
