package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 86187
 */
@Data
@ApiModel("MemberPercentQuery")
public class MemberPercentQuery {
    /**
     * 页码
     */
    @ApiModelProperty(value = "页码", name = "pageNo")
    private Integer pageNo;

    /**
     * 页条数
     */
    @ApiModelProperty(value = "页条数", name = "pageSize")
    private Integer pageSize;


    private Integer startNum;

    private Integer endNum;
}
